### Method

# Gtk Svg load_from_resource

since: 4.22

#### Declaration [src]

    void
    gtk_svg_load_from_resource (
      GtkSvg* self,
      const char* path
    )

#### Description [src]

Loads SVG content into an existing SVG paintable.

To track errors while loading SVG content, connect to the `GtkSvg::error` signal.

This clears any previously loaded content.

Available since: 4.22

#### Parameters

`path`

  Type: `const char*`

  The resource path.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.